﻿local _G = _G
local SpeakUp = SpeakUp
SpeakUp.LS = LibStub
SpeakUp.L = SpeakUp.LS("AceLocale-3.0"):GetLocale("SpeakUp")
SpeakUp.LSM = SpeakUp.LS("LibSharedMedia-3.0")
local L = SpeakUp.L

SpeakUp.CustomSounds = {
	{name="Applause",desc="Applause"},
	{name="Bark",desc="Dog barking"},
	{name="Beeps",desc="Digital beeps"},
	{name="Bell",desc="Bell"},
	{name="Cancel",desc="Cancel"},
	{name="Chime",desc="Chime"},
	{name="CreepyNoise",desc="Creepy noise"},
	{name="Click",desc="Click"},
	{name="Fart",desc="Fart"},
	{name="Heart",desc="Heart"},
	{name="IM",desc="IM"},
	{name="Info",desc="Info"},
	{name="Kachink",desc="Kachink"},
	{name="Link",desc="Link"},
	{name="Menu",desc="Menu"},
	{name="Metal_Hit",desc="Metal hit"},
	{name="Mouse Click",desc="Mouse click"},
	{name="Oddbounce",desc="Odd bounce"},
	{name="Ping-ding",desc="Ping ding"},
	{name="Powerup",desc="Powerup"},
	{name="Stapler",desc="Stapler"},
	{name="Text1",desc="Text1"},
	{name="Text2",desc="Text2"},
	{name="TextboxBloop",desc="Textbox Bloop"},
	{name="Thip",desc="Thip"},
	{name="Xylo",desc="Xylo"},
}

SpeakUp.EventList = {
	{event="CHAT_MSG_SYSTEM",category=_G.BUTTON_LAG_AUCTIONHOUSE,name=L["Own Auctions"],key="aolu",order=1},
	{event="CHAT_MSG_SYSTEM",category=_G.BUTTON_LAG_AUCTIONHOUSE,name=_G.OUTBID,key="ao",order=2},
	{event="CHAT_MSG_ACHIEVEMENT",category=_G.ACHIEVEMENTS,name=L["Nearby Achievements"],key="cma",order=2},
	{event="CHAT_MSG_GUILD_ACHIEVEMENT",category=_G.ACHIEVEMENTS,name=_G.GUILD_ACHIEVEMENTS_TITLE,key="cmga",order=1},
	{event="CHAT_MSG_GUILD",category=_G.GUILD,name=_G.GUILD_CHAT,key="cmg",order=1},
	{event="CHAT_MSG_BATTLEGROUND",category=_G.BATTLEFIELDS,name=_G.BATTLEFIELDS,key="cmbg",order=1},
	{event="CHAT_MSG_BATTLEGROUND_LEADER",category=_G.BATTLEFIELDS,name=_G.BATTLEGROUND_LEADER,key="cmbgl",order=2},
	{event="CHAT_MSG_BN_WHISPER",category=_G.PLAYER,name=_G.BATTLENET_OPTIONS_LABEL,key="cmbnet",order=2},
	{event="CHAT_MSG_EMOTE",category=_G.PLAYER,name=L["Custom Emote Received"],key="cme",order=3},
	{event="CHAT_MSG_OFFICER",category=_G.GUILD,name=_G.OFFICER_CHAT,key="cmo",order=3},
	{event="CHAT_MSG_PARTY",category=_G.GROUPS,name=_G.PARTY_MESSAGE,key="cmp",order=1},
	{event="CHAT_MSG_PARTY_LEADER",category=_G.GROUPS,name=_G.CHAT_MSG_PARTY_LEADER,key="cmpl",order=2},
	{event="CHAT_MSG_RAID",category=_G.GROUPS,name=L["Raid Chat"],key="cmr",order=8},
	{event="CHAT_MSG_RAID_LEADER",category=_G.GROUPS,name=_G.CHAT_MSG_RAID_LEADER,key="cmrl",order=9},
	{event="CHAT_MSG_RAID_BOSS_EMOTE",category=_G.GROUPS,name=L["Raid Boss Emote"],key="cmrbe",order=6},
	{event="CHAT_MSG_RAID_BOSS_WHISPER",category=_G.GROUPS,name=L["Raid Boss Whisper"],key="cmrbw",order=7},
	{event="CHAT_MSG_SAY",category=_G.PLAYER,name=_G.SAY,key="cms",order=6},
	{event="CHAT_MSG_TEXT_EMOTE",category=_G.PLAYER,name=L["Standard Emote Received"],key="cmte",order=7},
	{event="CHAT_MSG_YELL",category=_G.PLAYER,name=_G.YELL,key="cmy",order=8},
	{event="GUILD_MOTD",category=_G.GUILD,name=_G.GUILD_MOTD_LABEL2,key="gmotd",order=2},
	{event="PARTY_MEMBER_DISABLE",category=_G.GROUPS,name=L["Party Member Goes Offline"],key="pmd",order=4},
	{event="PARTY MEMBER ENABLE",category=_G.GROUPS,name=L["Party Member Comes Online"],key="pme",order=5},
	{event="COMBAT_LOG_EVENT",category=_G.PLAYER,name=L["Pet Death"],key="puu",order=5},
	{event="PLAYER_REGEN_DISABLED",category=_G.PLAYER,name=_G.ENTERING_COMBAT,key="prd",order=4},
	{event="UI_ERROR_MESSAGE",category=_G.GENERAL,name=_G.ERRORS,key="uem",order=1},
	{event="UPDATE_PENDING_MAIL",category=_G.GENERAL,name=L["Unread Mail Received"],key="upm",order=2},
	{event="COMBAT_LOG_EVENT",category=_G.GROUPS,name=L["Party/Raid Member Death"],key="cle",order=3},
	{event="CHAT_MSG_SYSTEM",category=_G.PLAYER,name=_G.DEFAULT_AFK_MESSAGE,key="afk",order=1},
	{event="UNIT_AURA",category=_G.BATTLEFIELDS,name=_G.FACTION_INACTIVE,key="uai",order=3},
}

table.sort(SpeakUp.EventList, function(a,b) return a.category < b.category end)
SpeakUp.frame:RegisterEvent("ADDON_LOADED")
SpeakUp.frame:RegisterEvent("PLAYER_LOGIN")
SpeakUp.frame:RegisterEvent("UNIT_PET")
SpeakUp.frame:SetScript("OnEvent", function(...) SpeakUp:eventHandler(...) end)